Package net.snowflake.client.jdbc

## Class SnowflakeSimulatedUploadFailure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.snowflake.client.jdbc.SnowflakeSimulatedUploadFailure

All Implemented Interfaces:
  `Serializable`

    public class SnowflakeSimulatedUploadFailure
    extends RuntimeException

Snowflake Loader exception for Test. This should only be valid in tests.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeSimulatedUploadFailure()`
`SnowflakeSimulatedUploadFailure​(String filename)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeSimulatedUploadFailure

    public SnowflakeSimulatedUploadFailure()

#### SnowflakeSimulatedUploadFailure

    public SnowflakeSimulatedUploadFailure​(String filename)